Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
nombre réponses : 25

#0 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 04/02/2015, à 19:19

zeph22
Réponses : 43

Merci pour cette rectification. smile
J'ai nommé le fichier

purge_old_kernels.sh

J'ai ouvert un terminal, et...

./purge_old_kernels.sh 
awk: line 2: function gensub never defined
[sudo] password for zeph: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 6 non mis à jour.

Je ne sais pas si c'est très académique, mais ça a bien marché!
Par contre, je ne vois pas de différences avec les anciennes commandes hmm
Finalement, tous les chemins mènent à Rome.
On aboutit au même résultat. smile

#1 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 05/02/2015, à 12:43

zeph22
Réponses : 43

@ Bougron
sad
J'ai voulu évaluer ta formule en mettant KEEP=4 au lieu de 5.
Et... ça marche pas!
J'obtiens exactement le même message ci-dessus! en deux secondes
si j'excepte le temps mis à entrer le mot de passe.
Et j'ai mes 5 noyaux intacts.
Ya un truc qui m'échappe. hmm
Le fichier se trouve dans /home/zeph/Documents/
Je lance avec

./purge_old_kernels.sh

C'est pas comme ça qu'il faut faire? neutral

#2 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 05/02/2015, à 16:21

zeph22
Réponses : 43

Bonjour nany et merci de ton aide. smile

BIEN VU nany! big_smile

gawk installé, puis lancement de

./purge_old_kernels.sh

et...

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de linux-image-3.13.0-40-lowlatency pour l'expression rationnelle « linux-image-3.13.0-40 »
Note : sélection de linux-image-3.13.0-40-generic pour l'expression rationnelle « linux-image-3.13.0-40 »
Package 'linux-image-3.13.0-40-lowlatency' is not installed, so not removed
Les paquets suivants seront ENLEVÉS :
  linux-headers-3.13.0-40* linux-headers-3.13.0-40-generic*
  linux-image-3.13.0-40-generic* linux-image-extra-3.13.0-40-generic*
0 mis à jour, 0 nouvellement installés, 4 à enlever et 9 non mis à jour.
Après cette opération, 271 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o

Résultat : le noyau 3.13.0-40 (le plus ancien) viré ! smile
Et 271Mo récupérés!
Merci de ton aide ! smile
A+
[edit] Et voilà ce qui reste :

dpkg -l | awk '/ +linux/ && /headers|generic/{ if(match($2,/([0-9]\.)+/)) {print $2} }'|sort -t- -rV -k3,4|paste -d" " - - -

linux-image-extra-3.13.0-45-generic
linux-image-extra-3.13.0-44-generic
linux-image-extra-3.13.0-43-generic
linux-image-extra-3.13.0-41-generic

linux-image-3.13.0-45-generic
linux-image-3.13.0-44-generic
linux-image-3.13.0-43-generic
linux-image-3.13.0-41-generic


linux-headers-3.13.0-45-generic
linux-headers-3.13.0-44-generic
linux-headers-3.13.0-43-generic
linux-headers-3.13.0-41-generic

linux-headers-3.13.0-45
linux-headers-3.13.0-44
linux-headers-3.13.0-43
linux-headers-3.13.0-41

#3 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 05/02/2015, à 18:28

zeph22
Réponses : 43
Robinwood a écrit :

Tu devrais tester ubuntu-tweak qui nettoie entre autre les vieux noyaux (voir doc).

Excuse moi, mais me voici avec deux méthodes efficaces, je vais en rester là. wink

#4 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 04/03/2015, à 16:57

zeph22
Réponses : 43

RETOUR D'EXPÉRIENCE
Bonjour à tous smile
Je remonte ce sujet pour y faire part de mon retour d'expérience concernant ce post.
J'ai concocté ce fichier qui peut être partagé par tous.
Et d'autre part je saurai où le chercher si je me plante
ou si je visite un autre Ubuntero ennuyé par ce problème.

# Ce programme permet de purger d'un coup, et
# proprement, les anciens noyaux linux devenus
# inutiles et encombrants sur la partition racine.
# Il est particulièrement adapté s'ils sont nombreux.
# 
# Dans un terminal, lancer les commandes df -h et df -i
# Plus la partition racine / approche de la saturation,
# (100% d'occupation) plus c'est urgent!
# Une prochaine mise à jour finira par
# se bloquer faute de place, laissant des bouts
# de fichiers à moitié installés sur le dd.
# 
# Ce programme est à utiliser AVANT l'incident!
# (Après, c'est plus compliqué, voyez sur les fora!)
# 
# Ces noyaux sont stockés principalement
# dans les dossiers /usr/src/ et /boot/
# 
# Vérifier que gawk soit présent dans /usr/bin/, 
# sinon dans un terminal:  sudo apt-get install gawk
# 
# Ouvrir ce présent fichier "purge_old_kernels.sh"
# (ou le créer avec gedit en copiant-collant ces lignes
# et en le nommant ainsi)
# On peut lui donner une coloration syntaxique "sh"
# 
# Vérifier que KEEP corresponde au nombre de noyaux
# les + récents que vous voulez garder.
# (2 au minimum : l'actif + le précédent)
# Le modifier si on veut. Enregistrer. Fermer le fichier.
# Vérifier dans Propriétés, onglet Permissions, qu'il ait
# "l'autorisation d'exécution comme un programme".
# 
# Ouvrir un terminal.
# Aller dans le dossier contenant ce fichier 
# cd /<chemin/du/dossier>/  puis entrée.
# Écrire  ./purge_old_kernels.sh  
# (la touche tabulation peut aider) puis entrée.
# À la question posée, répondre o (oui) puis entrée.
# Entrer le mot de passe admin demandé, puis entrée.
# Laisser mouliner...
# 
# Vous avez libéré 270Mo par noyau purgé!
# On peut relancer df -h et df -i et voir les différences!
# 
#!/bin/bash
KEEP=4
KERNELS=($(dpkg -l | awk '/ii  linux-image-[0-9]\./{print gensub("-generic","",1,$2)}'))
KERNELS_TO_REMOVE=(${KERNELS[@]:0:${#KERNELS[@]}-$KEEP})
sudo apt-get purge ${KERNELS_TO_REMOVE[@]} ${KERNELS_TO_REMOVE[@]/image/headers}
# 
# Remerciements à Bougron, maxire, Coeur Noir, moko138, et nany

#5 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 04/03/2015, à 18:40

zeph22
Réponses : 43

Bonjour erresse, smile
Je ne doute pas que kclean fasse bien le boulot, sinon ça se saurait!
Mais pas plus tard qu'hier, j'ai voulu l'évaluer (en terminal et en --simulate) et... je l'ai trouvé plutôt mal commode hmm
Il me demande d'écrire précisément les noms des fichiers à enlever, et il y en a 4 par noyau, et présentés dans le désordre...

linux-image-extra-3.13.0-45-generic
linux-image-extra-3.13.0-44-generic
linux-image-extra-3.13.0-43-generic
linux-image-extra-3.13.0-41-generic

linux-image-3.13.0-45-generic
linux-image-3.13.0-44-generic
linux-image-3.13.0-43-generic
linux-image-3.13.0-41-generic

linux-headers-3.13.0-45-generic
linux-headers-3.13.0-44-generic
linux-headers-3.13.0-43-generic
linux-headers-3.13.0-41-generic

linux-headers-3.13.0-45
linux-headers-3.13.0-44
linux-headers-3.13.0-43
linux-headers-3.13.0-41

Là, ils sont en ordre.
Il vaut mieux pas se gourer!
Je n'ai pas réussi à le faire fonctionner en mode graphique.
Bref, il ne me plaît pas et le côté simple et automatique de la formule à Bougron m'a séduit bien davantage!
Désolé pour kclean... hmm
(Cette liberté insolente que se prennent ces linuxiens !... )
A+ smile

#6 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 04/03/2015, à 19:10

zeph22
Réponses : 43

Bonjour remp, smile
Désolé. Pour moi, le mode graphique c'est le double clic sur le fichier et hop! ça doit s'ouvrir.
Et bien non, ça s'est jamais ouvert ! Re-désolé!
Tu peux recoller tes bras ! wink
J'espère que ça t'a pas fait trop mal... tongue

#7 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 14/03/2015, à 17:54

zeph22
Réponses : 43

Bonjour, smile
je crois qu'ils ont trouvé la parade pour éviter de cumuler ces stocks de vieux noyaux.
Depuis quelques temps, ils n'incrémentent plus que le # en gardant le même n° de version.
Résultat : ça écrase l'ancienne version...

uname -a   26/02/15
Linux HP-G72-Notebook-PC 3.13.0-46-generic #75-Ubuntu SMP Tue Feb 10 15:24:04 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
 uname -a   aujourd'hui
Linux HP-G72-Notebook-PC 3.13.0-46-generic #79-Ubuntu SMP Tue Mar 10 20:06:50 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Le # seul s'est incrémenté de 75 à 79 depuis le 26 février. Plus de trace des versions 75 à 78.

On va pouvoir reléguer les nettoyeurs de vieux noyaux dans les archives...
A+ wink

#8 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 24/03/2015, à 14:51

zeph22
Réponses : 43

Bonjour, smile
tu as eu raison de garder les nettoyeurs sous le coude (dont kclean j'imagine), car ce matin, il y a eu une vraie mise à jour!

uname -a
Linux HP-G72-Notebook-PC 3.13.0-48-generic #80-Ubuntu SMP Thu Mar 12 11:16:15 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux 

(Tiens? Pas vu la version 3.13.0-47? Pas grave!)
A+ wink

#9 Re : -1 »  [Résolu] Vieux noyaux kernels 3.2... impossibles à virer! » Le 24/03/2015, à 17:23

zeph22
Réponses : 43
Babdu89 a écrit :

...

(Tiens? Pas vu la version 3.13.0-47? Pas grave!)

Normal, si dans le sources.list, "proposed"  n'est pas coché, tu ne les vois pas passer.

C'est le cas! wink

Babdu89 a écrit :

Attention "proposed" cocher, implique que tu testes les maj de développement de la 14.04 . Donc çà peut être à l'origine de soucis à corriger, (c'est à çà que çà sert) et d'une instabilité possible de ton système. Je le fais sur des Os de tests par curiosité, mais par sur mes Os de travail .

alca94 m'avait déjà éclairé, dans un autre sujet, sur l'utilité ou non de ce "proposed", selon qu'on soit testeur ou non.
J'ai suivi son conseil de décocher cette case bien sûr. wink
Bref, ma machine est à présent "clean".
Merci encore à vous deux. smile
A+ smile

#10 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 08/03/2015, à 16:41

zeph22
Réponses : 42

Bonjour à tous smile

jplemoine a écrit :

POST #20 du 07/07/2014, à 18:21
Si tu as désactivé les dépôts "proposed", justement non. Tu vas rester en 3.2.0-65 # 99.
Si dans le futur, le noyau 66 est officialisé, tu l'auras dans les dépôts "normaux".

Je remonte ce sujet pour faire part de mon étonnement quant au fait
qu'il n'y a eu aucune nouvelle mise à jour de noyau depuis juillet dernier
et que l'ordi ASUS de mon ami boote toujours (bien) sur cette version 12.04 LTS.
Pas vu de noyau 66 ni supérieur depuis le plantage.

Normal ? Tout se concentre sur la version 14.04, ou anomalie, une option mal choisie?

Merci d'avance pour vos réponses. wink

#11 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 08/03/2015, à 23:11

zeph22
Réponses : 42

Bonsoir smile

alca94 a écrit :

dans vos "Sources de logiciels"

software-properties-gtk

Onglet Mise à jour = "Vérifier automatiquement les mises à jour"  ce n'est pas mis sur "jamais"

Ce n'était pas le cas. C'était  sur "tous les jours"

alca94 a écrit :
sudo apt-get update

Atteint http://archive.canonical.com precise Release.gpg
Atteint http://fr.archive.ubuntu.com precise Release.gpg                       
Atteint http://dl.google.com stable Release.gpg                               
Réception de : 1 http://fr.archive.ubuntu.com precise-updates Release.gpg [198 B]
Atteint http://fr.archive.ubuntu.com precise-security Release.gpg             
Atteint http://fr.archive.ubuntu.com precise-backports Release.gpg             
Atteint http://dl.google.com stable Release                                   
Atteint http://fr.archive.ubuntu.com precise Release                           
Réception de : 2 http://fr.archive.ubuntu.com precise-updates Release [194 kB]
Atteint http://archive.canonical.com precise Release                           
Atteint http://dl.google.com stable/main i386 Packages                         
Atteint http://archive.canonical.com precise/partner Sources                   
Atteint http://extras.ubuntu.com precise Release.gpg                           
Atteint http://archive.canonical.com precise/partner i386 Packages             
Ign http://dl.google.com stable/main TranslationIndex                         
Atteint http://archive.canonical.com precise/partner TranslationIndex         
Atteint http://archive.canonical.com precise/partner Translation-en           
Atteint http://extras.ubuntu.com precise Release                               
Atteint http://fr.archive.ubuntu.com precise-security Release                 
Atteint http://fr.archive.ubuntu.com precise-backports Release
Atteint http://fr.archive.ubuntu.com precise/main i386 Packages               
Atteint http://fr.archive.ubuntu.com precise/universe i386 Packages           
Atteint http://fr.archive.ubuntu.com precise/multiverse i386 Packages         
Atteint http://fr.archive.ubuntu.com precise/main TranslationIndex             
Atteint http://fr.archive.ubuntu.com precise/multiverse TranslationIndex       
Atteint http://fr.archive.ubuntu.com precise/universe TranslationIndex         
Réception de : 3 http://fr.archive.ubuntu.com precise-updates/main i386 Packages [914 kB]
Atteint http://extras.ubuntu.com precise/main Sources                         
Atteint http://extras.ubuntu.com precise/main i386 Packages                   
Ign http://extras.ubuntu.com precise/main TranslationIndex                     
Ign http://dl.google.com stable/main Translation-fr_FR                         
Ign http://dl.google.com stable/main Translation-fr                           
Ign http://dl.google.com stable/main Translation-en                           
Réception de : 4 http://fr.archive.ubuntu.com precise-updates/universe i386 Packages [262 kB]
Ign http://extras.ubuntu.com precise/main Translation-fr_FR                   
Réception de : 5 http://fr.archive.ubuntu.com precise-updates/multiverse i386 Packages [16,6 kB]
Atteint http://fr.archive.ubuntu.com precise-updates/main TranslationIndex     
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-updates/universe TranslationIndex
Réception de : 6 http://fr.archive.ubuntu.com precise/main Translation-fr_FR [494 kB]
Ign http://extras.ubuntu.com precise/main Translation-fr                       
Ign http://extras.ubuntu.com precise/main Translation-en                       
Atteint http://fr.archive.ubuntu.com precise/main Translation-fr               
Atteint http://fr.archive.ubuntu.com precise/main Translation-en
Réception de : 7 http://fr.archive.ubuntu.com precise/multiverse Translation-fr_FR [93,8 kB]
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-fr         
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-en
Réception de : 8 http://fr.archive.ubuntu.com precise/universe Translation-fr_FR [870 kB]
Atteint http://fr.archive.ubuntu.com precise/universe Translation-fr           
Atteint http://fr.archive.ubuntu.com precise/universe Translation-en
Atteint http://fr.archive.ubuntu.com precise-security/main i386 Packages
Atteint http://fr.archive.ubuntu.com precise-security/universe i386 Packages
Atteint http://fr.archive.ubuntu.com precise-security/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com precise-security/main TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-security/multiverse TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-security/universe TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-backports/universe i386 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/main i386 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/main TranslationIndex   
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-backports/universe TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-fr       
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-en       
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-fr   
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-en   
Atteint http://fr.archive.ubuntu.com precise-security/main Translation-en     
Atteint http://fr.archive.ubuntu.com precise-security/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com precise-security/universe Translation-en 
Atteint http://fr.archive.ubuntu.com precise-backports/main Translation-en     
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com precise-backports/universe Translation-en
2 845 ko réceptionnés en 11s (248 ko/s)                                       
Lecture des listes de paquets... Fait

alca94 a écrit :
sudo apt-get dist-upgrade
 Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour. 
alca94 a écrit :

et pour vérifier

uname -a
Linux lem-K53BR 3.2.0-65-generic-pae #99-Ubuntu SMP Fri Jul 4 21:17:05 UTC 2014 i686 athlon i386 GNU/Linux

Aucun changement...

alca94 a écrit :

j'avais eu un problème similaire a une époque (il fallait que je recherche) et la solution avait été de lancer

sudo apt-get install linux-generic linux-image-generic linux-headers-generic

Alors là, il y a le choix.
Ou ta formule, ou activer les mises à jour "precise-proposed".
Là, c'est immédiat. La mise à jour m'est proposée dans la minute.
On en est vers les versions 77 ou 78.
Qu'est-ce qui fait que ça ne marche pas avec les dépôts "normaux"?

@ maxire
Tu veux dire qu'il manquerait un truc dans mon système ?

#12 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 08/03/2015, à 23:35

zeph22
Réponses : 42

ça a installé la version 3.2.0-77 !
la version normale, non precise proposed.

#13 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 08/03/2015, à 23:40

zeph22
Réponses : 42
dpkg -l linux-hea*
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version        Description
+++-==============-==============-============================================
un  linux-headers  <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
ii  linux-headers- 3.2.0-64.97    Header files related to Linux kernel version
ii  linux-headers- 3.2.0-64.97    Linux kernel headers for version 3.2.0 on 32
ii  linux-headers- 3.2.0-65.99    Header files related to Linux kernel version
ii  linux-headers- 3.2.0-65.99    Linux kernel headers for version 3.2.0 on 32
in  linux-headers- <aucun>        (aucune description n'est disponible)
un  linux-headers- <aucun>        (aucune description n'est disponible)
ii  linux-headers- 3.2.0-77.112   Header files related to Linux kernel version
ii  linux-headers- 3.2.0-77.112   Linux kernel headers for version 3.2.0 on 32
ii  linux-headers- 3.2.0.77.91    Generic Linux kernel headers
un  linux-headers- <aucun>        (aucune description n'est disponible)

#14 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 08/03/2015, à 23:43

zeph22
Réponses : 42
ls -l /usr/src/
total 28
drwxr-xr-x  4 root root 4096 janv. 30  2014 fglrx-updates-13.125
drwxr-xr-x 24 root root 4096 juin   7  2014 linux-headers-3.2.0-64
drwxr-xr-x  7 root root 4096 juin   7  2014 linux-headers-3.2.0-64-generic-pae
drwxr-xr-x 24 root root 4096 juil.  8  2014 linux-headers-3.2.0-65
drwxr-xr-x  7 root root 4096 juil.  8  2014 linux-headers-3.2.0-65-generic-pae
drwxr-xr-x 24 root root 4096 mars   8 23:31 linux-headers-3.2.0-77
drwxr-xr-x  7 root root 4096 mars   8 23:31 linux-headers-3.2.0-77-generic

#15 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 08/03/2015, à 23:48

zeph22
Réponses : 42
alca94 a écrit :

ça a installé la version 3.2.0-77 !

c'est pas ce que vous vouliez ? ça devrait maintenant reprendre les mises a jour normalement (surtout ne pas réactiver "proposed")

Exact, j'attends la version 78... smile qui est "proposed" aujourd'hui.

Merci encore de votre aide.  smile

#16 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 09/03/2015, à 00:04

zeph22
Réponses : 42

Redémarrage réussi ! wink

et...

 df -h
Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
/dev/sda5           15G    5,5G  8,2G  40% /   
 df -i
Sys. de fichiers  Inœuds IUtil.  ILibre IUti% Monté sur
/dev/sda5         954720 280443  674277   30% / 

Il y a de la marge! Je surveille ! cool

 uname -a
Linux lem-K53BR 3.2.0-77-generic #112-Ubuntu SMP Tue Feb 10 15:22:48 UTC 2015 i686 athlon i386 GNU/Linux 

#17 Re : -1 »  [RÉSOLU] Mise à jour kernel 3.2.0-66 ubuntu ko :-( » Le 23/03/2015, à 23:03

zeph22
Réponses : 42

post #39

zeph22 a écrit :
alca94 a écrit :

ça a installé la version 3.2.0-77 !

c'est pas ce que vous vouliez ? ça devrait maintenant reprendre les mises a jour normalement (surtout ne pas réactiver "proposed")

Exact, j'attends la version 78... smile qui est "proposed" aujourd'hui.

CONFIRMÉ ! smile
Je n'ai pas vu la version 78, mais la 79 est arrivée il y a quelques minutes et...

uname -a
Linux lem-K53BR 3.2.0-79-generic #115-Ubuntu SMP Thu Mar 12 14:21:14 UTC 2015 i686 athlon i386 GNU/Linux

Ça marche ! big_smile
Un grand merci à alca94 ! wink

#18 Re : -1 »  problème mémoire depuis màj de fin Février(14.04)[résolu] » Le 09/03/2015, à 03:05

zeph22
Réponses : 8

Bonsoir, smile
vous avez un stock de vieux noyaux inutiles considérable! La partition racine ne serait-elle pas en train d'exploser ? hmm
Je crois qu'il faudrait commencer par faire le ménage ! wink
Vous pouvez retourner les commandes

df -h 

et

df -i

?

#19 Re : -1 »  revenir au noyau précédent » Le 04/03/2015, à 18:59

zeph22
Réponses : 4

Bonjour, smile
Je n'ai pas la solution à ton problème mais il y a un truc qui me chiffonne :
tu as la 14-04 avec des noyaux en 3.11.
Il me semble que ça devrait être 3.13 au moins, comme moi qui ai la 14.04 depuis mai dernier, quand ça venait de sortir...

#20 Re : -1 »  revenir au noyau précédent » Le 05/03/2015, à 15:35

zeph22
Réponses : 4
antoin a écrit :

je ne peux pas te dire, j'avais la 13.10 et j'ai fait la MAJ vers la 14.04 par internet

Y aurait-il eu des versions alpha et beta antérieures et encore disponibles via internet ? roll
Pour ma part, j'ai mis à niveau par cd-rom vendu à l'install party en mai ou juin dernier.

Et pendant qu'on y est, fais la commande

ls -l /usr/src/

Ça devrait retourner quelque chose du genre :

total 40
drwxr-xr-x  5 root root 4096 sept. 26  2013 bcmwl-6.20.155.1+bdcom
drwxr-xr-x  5 root root 4096 mai   25  2014 bcmwl-6.30.223.141+bdcom
drwxr-xr-x 24 root root 4096 janv. 13 17:29 linux-headers-3.13.0-45
drwxr-xr-x  7 root root 4096 janv. 13 17:30 linux-headers-3.13.0-45-generic
drwxr-xr-x 24 root root 4096 mars   3 15:47 linux-headers-3.13.0-46
drwxr-xr-x  7 root root 4096 mars   3 15:47 linux-headers-3.13.0-46-generic

Ça permettra de voir ce dont tu disposes et éventuellement aider les docteurs ès-ubuntu à diagnostiquer ton problème.

ps : cette commande fait un peu doublon avec celle proposée par Bougron,
à ceci près qu'elle permettra de voir des fichiers restés mal écrasés dans l'opération de mise à niveau.

#21 Re : -1 »  aide suppression ancien noyaux [RESOLU] » Le 04/03/2015, à 16:37

zeph22
Réponses : 18

Bonjour, smile

Bougron a écrit :
[b]#!/bin/bash
KEEP=3
KERNELS=($(dpkg -l | awk '/ii  linux-image-[0-9]\./{print gensub("-generic","",1,$2)}'))
KERNELS_TO_REMOVE=(${KERNELS[@]:0:${#KERNELS[@]}-$KEEP})
sudo apt-get purge ${KERNELS_TO_REMOVE[@]} ${KERNELS_TO_REMOVE[@]/image/headers}[/b]

Retour d'expérience d'un (presque) novice :
j'ai utilisé la formule donnée par Bougron.
Simple nette claire et précise !

Les vieux noyaux sont purgés proprement.
Seule précaution, s'assurer que gawk soit présent dans /usr/bin/
Mais ça, c'est la première fois.
Après, on peut l'utiliser les yeux fermés.
A+

#22 -1 »  [RESOLU] sudo apt-get --simulate upgrade, puis-je lancer sans risques? » Le 25/02/2015, à 17:45

zeph22
Réponses : 3

Bonjour à tous, smile
Suite à la lecture de ce post : http://forum.ubuntu-fr.org/viewtopic.ph … #p19304171
ouvert par alca94, (merci à lui smile ) j'ai essayé la commande

sudo apt-get --simulate upgrade

et ça a répondu :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront mis à jour :
  compiz compiz-core compiz-gnome compiz-plugins-default cups cups-bsd
  cups-client cups-common cups-core-drivers cups-daemon cups-ppdc
  cups-server-common libcompizconfig0 libcups2 libcups2:i386 libcupscgi1
  libcupsimage2 libcupsmime1 libcupsppdc1 libdecoration0 libunity-core-6.0-9
  unity unity-services
23 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst libcupsppdc1 [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst libcupsmime1 [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst libcupsimage2 [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst libcupscgi1 [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst cups-daemon [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst cups-core-drivers [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst cups-bsd [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst cups-client [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst cups-server-common [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [all]) []
Inst cups [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) []
Inst libcups2 [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64]) [libcups2:amd64 on libcups2:i386] [libcups2:i386 on libcups2:amd64] [libcups2:i386 ]
Inst libcups2:i386 [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [i386]) []
Inst cups-common [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [all])
Inst cups-ppdc [1.7.2-0ubuntu1.2] (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Inst libcompizconfig0 [1:0.9.11.2+14.04.20140714-0ubuntu1] (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64]) []
Inst compiz-gnome [1:0.9.11.2+14.04.20140714-0ubuntu1] (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64]) []
Inst compiz-plugins-default [1:0.9.11.2+14.04.20140714-0ubuntu1] (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64]) []
Inst libdecoration0 [1:0.9.11.2+14.04.20140714-0ubuntu1] (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64]) []
Inst compiz-core [1:0.9.11.2+14.04.20140714-0ubuntu1] (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Inst compiz [1:0.9.11.2+14.04.20140714-0ubuntu1] (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [all])
Inst unity [7.2.3+14.04.20140826-0ubuntu1] (7.2.4+14.04.20141217-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64]) []
Inst libunity-core-6.0-9 [7.2.3+14.04.20140826-0ubuntu1] (7.2.4+14.04.20141217-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64]) []
Inst unity-services [7.2.3+14.04.20140826-0ubuntu1] (7.2.4+14.04.20141217-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf libcups2 (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf libcups2:i386 (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [i386])
Conf libcupsppdc1 (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf libcupsmime1 (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf libcupsimage2 (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf libcupscgi1 (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf cups-daemon (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf cups-core-drivers (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf cups-common (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [all])
Conf cups-client (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf cups-bsd (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf cups-server-common (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [all])
Conf cups-ppdc (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf cups (1.7.2-0ubuntu1.4 Ubuntu:14.04/trusty-updates [amd64])
Conf compiz-core (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf libcompizconfig0 (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf libdecoration0 (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf compiz-plugins-default (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf compiz-gnome (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf compiz (1:0.9.11.3+14.04.20150122-0ubuntu1 Ubuntu:14.04/trusty-updates [all])
Conf unity-services (7.2.4+14.04.20141217-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf libunity-core-6.0-9 (7.2.4+14.04.20141217-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])
Conf unity (7.2.4+14.04.20141217-0ubuntu1 Ubuntu:14.04/trusty-updates [amd64])

Je pense que je pourrai bien le faire, (on a toujours intérêt à mettre à jour un max)
mais ce qui m'étonne, c'est que j'ai toujours suivi les mises à jour et que malgré ça, il y a encore tout ça à faire... hmm
Merci de vos avis éclairés. smile

#23 Re : -1 »  [RESOLU] sudo apt-get --simulate upgrade, puis-je lancer sans risques? » Le 26/02/2015, à 16:15

zeph22
Réponses : 3

Bonjour smile (pas oublié! big_smile )

alca94 a écrit :

Ce sont des mises a jour normales en ce qui vous concerne ,moi ce qui me chagrinais c'était cette histoire de noyaux vous non
a chaque amélioration du noyau ça implique sûrement un tas dévolution à coté pour que ça suive

Merci pour cet éclaircissement.

Je me suis lancé, ça a mouliné pendant 30 secondes, et... tout est ok. Redémarrage réussi du premier coup.
Peut-être faudrait-il conseiller, en insistant, aux Ubunteros de tout poils de lancer cette commande de temps à autre, en plus des mises à jour normales ?

Merci encore ! Me voici avec un système Ubuntu "clean", à jour.
A+ wink

#24 Re : -1 »  [Résolu à l'arrache] MAJ bloquées » Le 04/02/2015, à 18:54

zeph22
Réponses : 30
cqfd93 a écrit :
zeph22 a écrit :

OK. Ce n'est pas tout à fait mes problèmes que j'ai eus.

Je ne suis pas spécialiste, mais je m'étonne que ton dossier racine soit plein à 88%
alors que les inodes ne sont qu'à 2% avec si peu de fichiers.
Il me semble que les virtual box tar.gz te prennent anormalement de la place.
Si tu veux installer un truc qui prend plus de 12% libres restants, ça plante.
Avis de la communauté?

ça ne me parait pas si étrange, je pense que son /home n'est pas dans une partition séparée de / et qu'il doit contenir plutôt des gros fichiers.

ok. Dont acte. hmm